image: node:latest

cache:
  paths:
    - node_modules/
    - .cache/
    - public/
pages:
  script:
    - npm install
    - ./node_modules/.bin/gatsby build --prefix-paths
  artifacts:
    paths:
      - public
  only:
    - master